org.vishia.commander

## Class FcmdSettings

- java.lang.Object
- - org.vishia.commander.FcmdSettings

-     public class FcmdSettings
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionApplyCfgCmd` Action to set the content of the cmd configuration file.
    `(package private) GralUserAction` | `actionApplyCfgExt` Action to set the content of the extension configuration file.
    `(package private) GralUserAction` | `actionApplyCfgPath` Action to set the content of the favor path file.
    `(package private) GralUserAction` | `actionButton` Action for Close.
    `(package private) GralUserAction` | `actionEditCfgFile` Action for open the editor for the configuration file.
    `(package private) GralUserAction` | `actionOpenDialog` Action for open the dialog window.
    `(package private) GralUserAction` | `actionOpenInfo` Action for Close.
    `protected Fcmd` | `main`
    `(package private) int` | `secondsRefresh`
    `static java.lang.String` | `sVersion` Version, history and license 2016-08-28 Hartmut chg: extra button now for the jzcmd.cfg, extra button `widgOkError` to open the infoBox, but open the infoBox automatically on error.
    `(package private) GralButton` | `widgApplyCmd` Buttons for edit and apply the several configuration files.
    `(package private) GralButton` | `widgApplyExt` Buttons for edit and apply the several configuration files.
    `(package private) GralButton` | `widgApplyPaths` Buttons for edit and apply the several configuration files.
    `(package private) GralTextField_ifc` | `widgCfgPath`
    `(package private) GralButton` | `widgEditCmd` Buttons for edit and apply the several configuration files.
    `(package private) GralButton` | `widgEditExt` Buttons for edit and apply the several configuration files.
    `(package private) GralTextField_ifc` | `widgEditorPath` Path to call the editor for standard editing texts.
    `(package private) GralButton` | `widgEditPaths` Buttons for edit and apply the several configuration files.
    `(package private) GralButton` | `widgOk`
    `(package private) GralButton` | `widgOkError`
    `(package private) GralTextField_ifc` | `widgRefreshTime`
    `(package private) GralWindow_ifc` | `windSettings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdSettings(Fcmd main)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildWindow()` Builds the content of the file property window.
    `(package private) void` | `openDialog(java.io.File src)` Opens the view window and fills its content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sVersion

          public static final java.lang.String sVersion

      Version, history and license
      - 2016-08-28 Hartmut chg: extra button now for the jzcmd.cfg, extra button `widgOkError` to open the infoBox, but open the infoBox automatically on error. The Button for open Infobox will get a button text "error" if an error in the config is found. It is nice to have on editing the scripts for commands to see whether it is okay or not and to detect the cause of errors.
      - 2012-10-27 Hartmut created
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### main

          protected final Fcmd main

    - #### windSettings

          GralWindow_ifc windSettings

    - #### widgRefreshTime

          GralTextField_ifc widgRefreshTime

    - #### widgCfgPath

          GralTextField_ifc widgCfgPath

    - #### widgEditorPath

          GralTextField_ifc widgEditorPath

      Path to call the editor for standard editing texts.

    - #### widgOkError

          GralButton widgOkError

    - #### widgOk

          GralButton widgOk

    - #### widgEditCmd

          GralButton widgEditCmd

      Buttons for edit and apply the several configuration files. Edit opens the file in the standard editor. Apply set the content to the File Commander.

    - #### widgApplyCmd

          GralButton widgApplyCmd

      Buttons for edit and apply the several configuration files. Edit opens the file in the standard editor. Apply set the content to the File Commander.

    - #### widgEditExt

          GralButton widgEditExt

      Buttons for edit and apply the several configuration files. Edit opens the file in the standard editor. Apply set the content to the File Commander.

    - #### widgApplyExt

          GralButton widgApplyExt

      Buttons for edit and apply the several configuration files. Edit opens the file in the standard editor. Apply set the content to the File Commander.

    - #### widgEditPaths

          GralButton widgEditPaths

      Buttons for edit and apply the several configuration files. Edit opens the file in the standard editor. Apply set the content to the File Commander.

    - #### widgApplyPaths

          GralButton widgApplyPaths

      Buttons for edit and apply the several configuration files. Edit opens the file in the standard editor. Apply set the content to the File Commander.

    - #### secondsRefresh

          int secondsRefresh

    - #### actionButton

          GralUserAction actionButton

      Action for Close.

    - #### actionOpenInfo

          GralUserAction actionOpenInfo

      Action for Close.

    - #### actionOpenDialog

          GralUserAction actionOpenDialog

      Action for open the dialog window. It fills the value of the fields from internal variable.

    - #### actionEditCfgFile

          GralUserAction actionEditCfgFile

      Action for open the editor for the configuration file. The name of the configuration file is contained in the widget.

    - #### actionApplyCfgCmd

          GralUserAction actionApplyCfgCmd

      Action to set the content of the cmd configuration file.

    - #### actionApplyCfgExt

          GralUserAction actionApplyCfgExt

      Action to set the content of the extension configuration file.

    - #### actionApplyCfgPath

          GralUserAction actionApplyCfgPath

      Action to set the content of the favor path file.

  - ### Constructor Detail

    - #### FcmdSettings

          public FcmdSettings(Fcmd main)

  - ### Method Detail

    - #### buildWindow

          void buildWindow()

      Builds the content of the file property window. The window is created static. It is shown whenever it is used.

    - #### openDialog

          void openDialog(java.io.File src)

      Opens the view window and fills its content.
      Parameters:
        `src` - The path which is selected as source. It may be a directory or a file.